// @ts-nocheck
type outline = {
  title: string
  children: outline[]
  level: number
  pageNumber: number
  posX: number
  posY: number
}

export default class Outline {
  outline: outline
  index: number
  children: Outline[] | []
  parent: Outline | null
  document: any

  constructor(options: {
    outline: any,
    index: number,
    children: Outline[] | [],
    parent: Outline | null,
    document: any
  }) {
    this.outline = options.outline
    this.index = options.index
    this.children = options.children || []
    this.parent = options.parent
    this.document = options.document
  }

  get pageNumber() {
    return this.outline.pageNumber
  }

  get title() {
    return this.outline.title
  }

  get level() {
    return this.outline.level
  }

  goTo() {
    this.document.scrollPageIntoView({
      pageNumber: this.pageNumber,
    })
  }
}
